package com.webonlineapp.content;

import com.hyjavastock.chart.Highstock;

public class HighchartStockContent {

	/**
	 * 
	 * @param chart
	 * @return
	 */
	public String build(Highstock chart) {
		return "<!DOCTYPE html>" + System.lineSeparator() + 			// html5
			   "<html>" + System.lineSeparator() + 						// start html
			   "<head>" + System.lineSeparator() +						// start head
			   "<title>chart</title>"+ System.lineSeparator() +			// title
			   "</head>" + System.lineSeparator() +						// end head
			   
			   "<body>" + System.lineSeparator() +						// start body
			   "<div id=\"container\" style=\"min-width: 310px; max-width: 800px; height: 400px; margin: 0 auto\"></div>" + System.lineSeparator() +
			   
			   "<script src=https://code.highcharts.com/stock/10.3.3/es5/highstock.js></script>" + System.lineSeparator() +
			   "<script src=https://code.highcharts.com/stock/10.3.3/es5/modules/data.js></script>" + System.lineSeparator() +
			   
			   "<script>" + System.lineSeparator() +
			   (chart.globalOptionsToJs() == null ? "" : "Highcharts.setOptions(" + chart.globalOptionsToJs() + ");" + System.lineSeparator()) + 
			   "Highcharts.stockChart('container', " + chart.chartOptionsToJs() + " );" + System.lineSeparator() + 
			   "</script>" + System.lineSeparator() +
			   
			   "</body>" + System.lineSeparator() +						// end body
			   "</html>";												// end html
	}

}
