<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

<html>
	<script src="https://cdn.jsdelivr.net/npm/apexcharts@3.39.0"></script>

	<head>
		<title>Display Chart</title>
		<h4>Demo Application showing HyJavaCharts, HyJavaStock and HyJavaApex Library Integration</h4>
	</head>
	
	<body>
		<s:form action="display">
			<s:label value="Select Chart: " theme="simple"/>
			<s:select id="selecter" 
				theme="simple"
				headerKey="-1" 
				list="#{'Highcharts Line Chart':'Highcharts Line Chart', 'Highcharts Pie Chart':'Highcharts Pie Chart', 'Highstock Column Chart':'Highstock Column Chart', 'ApexCharts Column Chart':'ApexCharts Column Chart'}"
				name="chartName"/>
			&nbsp;
			<s:submit value="Display Chart" theme="simple"/>
		</s:form>
		
		<script>
			selecter.value = "<s:property value="chartName"/>";
		</script>
		
		<div id="container" style="min-width: 310px; max-width: 800px; height: 400px; margin: 0 auto"></div>
		
		<script type="text/javascript">
			var chart = new ApexCharts(document.querySelector('#container'), <s:property value="chartOptions"  escapeHtml="false"/>);
			chart.render();
		</script>
	</body>
</html>
