package com.webonlineapp.hyjavastockdemo10.components;

import com.vaadin.flow.component.Component;
import com.vaadin.flow.component.HasSize;
import com.vaadin.flow.component.Tag;
import com.vaadin.flow.server.StreamResource;

@Tag("object")
public class EmbeddedPdf extends Component implements HasSize {
	private static final long serialVersionUID = 1L;
	

	/**
	 * 
	 * @param resource
	 */
	public EmbeddedPdf(StreamResource resource) {
		getElement().setAttribute("type", "application/pdf");
		getElement().setAttribute("data", resource);
		
		setSizeFull();
	}

	/**
	 * 
	 * @param url
	 */
	public EmbeddedPdf(String url) {
		getElement().setAttribute("type", "application/pdf");
		getElement().setAttribute("data", url);
		
		setSizeFull();
	}

}
