package com.webonlineapp.hyjavaapexdemo;

import com.vaadin.flow.component.HasComponents;
import com.vaadin.flow.component.applayout.AppLayout;
import com.vaadin.flow.component.applayout.DrawerToggle;
import com.vaadin.flow.component.orderedlayout.VerticalLayout;
import com.vaadin.flow.router.Route;

@Route("")
public class HyJavaApexView extends AppLayout implements HasComponents {
	private static final long serialVersionUID = 1L;

	
	/**
	 * 
	 */
	public HyJavaApexView() {
		DemoPage demoPage = new DemoPage();

		addToNavbar(new DrawerToggle(), demoPage.buildHeading(this, false));
		
		VerticalLayout content = new VerticalLayout();
		content.setWidthFull();
        demoPage.buildTab(content, false);
        setContent(content);
        
        addToDrawer(demoPage.buildMenu(this, false));
    }
	
}
