package com.webonlineapp.hyjavaapexdemo.components;

import java.io.ByteArrayInputStream;
import java.io.InputStream;

import javax.xml.transform.stream.StreamSource;

import com.vaadin.flow.server.InputStreamFactory;


public class ChartImageStream extends StreamSource implements InputStreamFactory {
	private static final long serialVersionUID = 1L;
	
	private byte [] chartImageBytes;
	
	
	/**
	 * 
	 * @param chartImageBytes
	 */
	public ChartImageStream(byte [] chartImageBytes) {
		this.chartImageBytes = chartImageBytes;
	}
	
	/**
	 * 
	 */
	@Override
	public InputStream createInputStream() {
		try {
			InputStream chartInputStream = new ByteArrayInputStream(chartImageBytes);
			return chartInputStream;
		} catch (Exception e) {
			e.printStackTrace();
			return null;
		}
	}
    
}
