package com.webonlineapp.hyjavaapexdemo.examplecharts;

import java.util.Arrays;

import com.hyjavaapex.chart.Apexchart;
import com.hyjavaapex.model.apexcharts.ChartOptions;
import com.hyjavaapex.model.apexcharts.Responsive;
import com.hyjavaapex.model.apexcharts.constants.ChartType;
import com.hyjavaapex.model.apexcharts.constants.LegendPosition;
import com.hyjavaapex.model.common.Color;
import com.webonlineapp.hyjavaapexdemo.charts.DemoChartBase;

public class BasicPolarArea extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Apexchart configure() {
		Apexchart apexchart = new Apexchart();
		ChartOptions chartOptions = apexchart.getChartOptions();
		
		chartOptions.getChart().setHeight("100%").setType(ChartType.POLARAREA);
		chartOptions.getStroke().setColors(Arrays.asList(new Color("#fff")));
		chartOptions.getFill().setOpacity(0.8);
		
		Responsive r = new Responsive();
		r.setBreakpoint(480).getOptions().getChart().setWidth(200);
		r.getOptions().getLegend().setPosition(LegendPosition.BOTTOM);
		chartOptions.getResponsive().add(r);

		chartOptions.setSeriesAsArrayNumber(Arrays.asList(14, 23, 21, 17, 15, 10, 12, 17, 21));

		return apexchart;
	}
	
}