package com.webonlineapp.hyjavachartsdemo10;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;

import com.hyjavacharts.hyjavaimages.Chrome;
import com.vaadin.flow.server.VaadinServlet;

@WebServlet(urlPatterns = "/*", name = "DemoServlet", asyncSupported = true)
public class DemoServlet extends VaadinServlet {
	private static final long serialVersionUID = 1L;
	
	private Chrome chrome;		// Image generation is dependent on the HyJavaImages library.

	
	@Override
	protected void servletInitialized() throws ServletException {
		super.servletInitialized();
		
		chrome = Chrome.getInstance();
		chrome.setViaHTTPServerURL("http://localhost:41772/");
		//chrome.start();
		//chrome.connect("http://localhost:", 41728);
	}

	@Override
	public void destroy() {
		super.destroy();
		
		//chrome.stop();
		//chrome.disconnect();
	}
}
