package com.webonlineapp.hyjavachartsdemo10;

import com.vaadin.flow.component.HasComponents;
import com.vaadin.flow.component.applayout.AppLayout;
import com.vaadin.flow.component.applayout.DrawerToggle;
import com.vaadin.flow.component.orderedlayout.VerticalLayout;
import com.vaadin.flow.router.Route;

@Route("HyJavaImages")
public class HyJavaImagesView extends AppLayout implements HasComponents {
	private static final long serialVersionUID = 1L;
	
	boolean hyJavaImages = true;

	
	/**
	 * 
	 */
	public HyJavaImagesView() {
		DemoPage demoPage = new DemoPage();
		
		addToNavbar(new DrawerToggle(), demoPage.buildHeading(this, hyJavaImages));
		
		VerticalLayout content = new VerticalLayout();
		content.setWidthFull();
        demoPage.buildTab(content, hyJavaImages);
        setContent(content);
        
        addToDrawer(demoPage.buildMenu(this, hyJavaImages));
    }
	
}
