package com.webonlineapp.content;

import com.hyjavacharts.chart.Highchart;

public class HighchartContent {

	/**
	 * 
	 * @param highchart
	 * @return
	 */
	public String build(Highchart chart) {
		return "<div id=\"container\" style=\"min-width: 310px; max-width: 800px; height: 400px; margin: 0 auto\"></div>" + System.lineSeparator() +
				
				"<script src=https://code.highcharts.com/10.3.3/es5/highcharts.js></script>" + System.lineSeparator() + 
				"<script src=https://code.highcharts.com/10.3.3/es5/modules/data.js></script>" + System.lineSeparator() +
				
				"<script>" + System.lineSeparator() + 
				(chart.globalOptionsToJs() == null ? "" : "Highcharts.setOptions(" + chart.globalOptionsToJs() + ");" + System.lineSeparator()) + 
				
				"Highcharts.chart('container', " + chart.chartOptionsToJs() + " );" + System.lineSeparator() + 
				"</script>";
	}

}
