package com.webonlineapp.hyjavastockdemo10.components;

import com.vaadin.flow.component.Component;
import com.vaadin.flow.component.HasComponents;
import com.vaadin.flow.component.HasSize;
import com.vaadin.flow.component.Html;
import com.vaadin.flow.component.Tag;
import com.vaadin.flow.component.dependency.CssImport;

@Tag("div")
@CssImport("./css/prism.css")
public class JavaScriptComponent extends Component implements HasComponents, HasSize {
	private static final long serialVersionUID = 1L;


	/**
	 * 
	 * @param javaScript
	 */
	public void setJavaScript(String javaScript) {
		removeAll();
		
		Html htmlPre = new Html("<div class='jsoncode'>" + 
								javaScript.replace("&", "&amp;").replace("<", "&lt;").replace(">", "&gt;") + 
								"</div>");
		htmlPre.getElement().getStyle().set("height", "65vh"); 

		add(htmlPre);
	}
		
}
