package com.webonlineapp.hyjavastockdemo10.util;

import java.time.ZoneId;
import java.time.ZonedDateTime;

public class DateUtil {
	
	public static long toMilli(int year, int month, int day) {
		return ZonedDateTime.of(year, month, day, 0, 0, 0, 0, ZoneId.of("UTC")).toInstant().toEpochMilli();
	}
	
	public static long toMilli(int year, int month, int day, int hour) {
		return ZonedDateTime.of(year, month, day, hour, 0, 0, 0, ZoneId.of("UTC")).toInstant().toEpochMilli();
	}

}
